Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Coinbase International Exchange API
cURL
curl --request GET \ --url https://api.international.coinbase.com/api/v1/assets
import requests url = "https://api.international.coinbase.com/api/v1/assets" response = requests.get(url) print(response.text)
const options = {method: 'GET'}; fetch('https://api.international.coinbase.com/api/v1/assets', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.international.coinbase.com/api/v1/assets", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.international.coinbase.com/api/v1/assets" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.international.coinbase.com/api/v1/assets") .asString();
require 'uri' require 'net/http' url = URI("https://api.international.coinbase.com/api/v1/assets") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body
[ { "asset_id": 3351829018369611, "asset_uuid": "592a8039-db3e-45ed-b752-ffd1983eead2", "asset_name": "BTC", "status": "ACTIVE", "collateral_weight": 0.9, "supported_networks_enabled": true, "min_borrow_qty": 10, "max_borrow_qty": 1000000, "loan_collateral_requirement_multiplier": 1.2, "ecosystem_collateral_limit_breached": false, "loan_initial_margin": 0.15, "max_loan_leverage": 3 } ]
Returns a list of all supported assets.
AssetsService assetsService = IntxServiceFactory.createAssetsService(client); ListAssetsRequest request = new ListAssetsRequest.Builder().build(); ListAssetsResponse response = assetsService.listAssets(request);
var assetsService = new AssetsService(client); var request = new ListAssetsRequest(); var response = assetsService.ListAssets(request);
assetsSvc := assets.NewAssetsService(client) request := &assets.ListAssetsRequest{} response, err := assetsSvc.ListAssets(context.Background(), request)
client = IntxClient() request = ListAssetsRequest() response = client.list_assets(request)
const assetsService = new AssetsService(client); assetsService.listAssets().then(async (response) => { console.log('Assets: ', response); })
intxctl list-assets --help
Asset list
A unique identifier to represent the asset specifically on the exchange
3351829018369611
A UUID to represent the asset (portable across other Coinbase systems)
"592a8039-db3e-45ed-b752-ffd1983eead2"
The name of the asset
"BTC"
An asset level status that would affect all markets with the asset
ACTIVE
DISABLED
"ACTIVE"
The haircut value applied to the asset when used as collateral
0.9
true
10
1000000
1.2
false
The initial margin requirement for borrowing this asset
0.15
The maximum amount of leverage a user can have on a loan of this asset
3
Was this page helpful?